Bug 59810 - useradd creates mail writable for group!!! (PATCH in duplicate bug)
useradd creates mail writable for group!!! (PATCH in duplicate bug)
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils (Show other bugs)
8.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
: Security
: 75418 77385 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-13 10:44 EST by martynas
Modified: 2007-03-26 23:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-20 13:28:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description martynas 2002-02-13 10:44:11 EST
Hello,
useradd utility creates /var/spool/mail/$user with chmod 660 !! So, it is 
writable to group!! If users are in the same group (for example, users), they 
can to delete other users email(i tried it)!!!!! try useradd -g users user1 and 
look at /var/spool/mail !

Please, fix it as soon as possible, and email me with answer.

Thank you
Sincerely
Martynas Bieliauskas
Comment 1 Alan Cox 2002-12-18 13:03:53 EST
*** Bug 75418 has been marked as a duplicate of this bug. ***
Comment 2 Mark J. Cox (Product Security) 2003-02-11 08:28:42 EST
*** Bug 77385 has been marked as a duplicate of this bug. ***
Comment 3 Mike A. Harris 2003-02-14 18:23:09 EST
Not confirming nor denying this report, as I haven't tested it in 8.0, but
I'm putting a hyperlink to the proposed patch into this bug report, so it
is more accessible:

https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=79325&action=view

The rawhide packages should also be checked for this vulnerability as well
as older releases.  I tested Red Hat Linux 7.1 up2date and it doesn't appear
affected.
Comment 4 Mark J. Cox (Product Security) 2003-02-20 13:28:04 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-057.html

Note You need to log in before you can comment on or make changes to this bug.